%clc; % clear command window
echo off; % turns on the echoing of commands in all script files
% =========================================================================
% File name   : ES_02_01_00.m
% File Type   : m-file (script file for matlab or octave)
% Begin       : 2005-01-17
% Last Update : 2005-01-17
% Author      : Nicola Asuni [38433]
% Description : Esercitazione di Analisi Numerica
%               A.A. 2004-2005
%               Prof. M. Gaviano
%               UNIVERSIT DEGLI STUDI DI CAGLIARI
%               Facolt di Scienze Matematiche Fisiche Naturali
%               Dipartimento di Matematica ed Informatica
%               Corso di Laurea in Informatica
% =========================================================================
echo off;

if isnumeric(a) & isnumeric(b) & isnumeric(c) & (a ~= 0)
    % Calcola il discriminante
    D = b.^2 - (4 .* a .* c);
    if D < 0 
        disp('Radici complesse coniugate!');
    else
        % Calcola le soluzioni dell'equazione
        x1 = (-b + sqrt(D)) ./ (2.*a)
        x2 = (-b - sqrt(D)) ./ (2.*a)
    end
else 
    disp('ERRORE NEI DATI DI INPUT!');
end

% === EOF =================================================================