%clc; % clear command window
echo off; % turns on the echoing of commands in all script files
% =========================================================================
% File name   : ES_02_02_01.m
% File Type   : m-file (script file for matlab or octave)
% Begin       : 2005-01-17
% Last Update : 2005-01-17
% Author      : Nicola Asuni [38433]
% Description : Esercitazione di Analisi Numerica
%               A.A. 2004-2005
%               Prof. M. Gaviano
%               UNIVERSIT DEGLI STUDI DI CAGLIARI
%               Facolt di Scienze Matematiche Fisiche Naturali
%               Dipartimento di Matematica ed Informatica
%               Corso di Laurea in Informatica
% =========================================================================
echo off;

if isnumeric(a) & isnumeric(b) & isnumeric(c) & (a ~= 0)
    % Calcola il discriminante
    D = b.^2 - (4 .* a .* c);
    if D < 0 
        % radici complesse coniugate
        x1r = (-b ./ (2 .* a));
        x1i = (sqrt(4 .* a .* c - b.^2) ./ (2 .* a));
        s1 = sprintf('x1 = %.4f + %.4fi', x1r, x1i);
        disp(s1);
        
        x2r = (-b ./ (2 .* a));
        x2i = (sqrt(4 .* a .* c - b^2) ./ (2 .* a));
        s2 = sprintf('x2 = %.4f - %.4fi', x2r, x2i);
        disp(s2);
        
    else 
        % Calcola la soluzione dell'equazione
        x1 = (-b + sqrt(D)) ./ (2.*a)
        x2 = (-b - sqrt(D)) ./ (2.*a)
    end
else 
    disp('ERRORE NEI DATI DI INPUT!');
end

% === EOF =================================================================