clc; % clear command window
clear; % frees system memory
echo on; % turns on the echoing of commands in all script files
% =========================================================================
% File name   : ES_03_01.m
% File Type   : m-file (script file for matlab or octave)
% Begin       : 2005-01-17
% Last Update : 2005-01-17
% Author      : Nicola Asuni [38433]
% Description : Esercitazione di Analisi Numerica
%               A.A. 2004-2005
%               Prof. M. Gaviano
%               UNIVERSIT DEGLI STUDI DI CAGLIARI
%               Facolt di Scienze Matematiche Fisiche Naturali
%               Dipartimento di Matematica ed Informatica
%               Corso di Laurea in Informatica
% =========================================================================
echo off;

precision = eps;

disp('a) Calcolo il seno con una serie infinita.');

x = input('x in radianti = ');
n = input('numero massimo di interazioni = ');

if isnumeric(x) & isnumeric(n) & (n > 0)
    % inizializzo le variabili
    reply = 'S'; % risposte utente
    i = 1; % iterazione
    sign = 1; % tiene conto del segno dei termini della serie
    sinxB = 0;
    sinxA = sin(x); % valore calcolato di sin x
    msg = sprintf('Il sin(x) calcolato dal software : %d\n', sinxA);
    disp(msg);
    %finch l'utente vuole continuare e non ho raggiunto il numero massimo
    %di interazioni
    while strcmpi(reply, 'S') & (i <= n)
        j = (2 .* i) - 1;
        sinxB = sinxB + sign .* (x.^j / factorial(j));
        diff = sinxB - sinxA;
        msg = sprintf('%d) n = %d  serie = %d  [differenza = %d]', i, j, sinxB, diff);
        disp(msg);
        if (abs(diff) <= precision)
            break % esce dal ciclo quando la precisione richiesta  stata raggiunta
        end
        % chiede all'utente se vuole continuare nel calcolo
        reply = input('continuo? S/N [S]: ','s');
        if isempty(reply)
            reply = 'S';
        end
        i = i + 1;
        sign = sign .* -1;
    end
else 
    disp('ERRORE NEI DATI DI INPUT!');
end


% === EOF =================================================================