clc; % clear command window
clear; % frees system memory
echo on; % turns on the echoing of commands in all script files
% =========================================================================
% File name   : ES_04_03.m
% File Type   : m-file (script file for matlab or octave)
% Begin       : 2005-01-18
% Last Update : 2005-01-18
% Author      : Nicola Asuni [38433]
% Description : Esercitazione di Analisi Numerica
%               A.A. 2004-2005
%               Prof. M. Gaviano
%               UNIVERSIT DEGLI STUDI DI CAGLIARI
%               Facolt di Scienze Matematiche Fisiche Naturali
%               Dipartimento di Matematica ed Informatica
%               Corso di Laurea in Informatica
% =========================================================================
echo off;

disp('c) determino l''intero n che verifica la disequazione data');

% Legge un valore reale x da tastiera
x = input('Inserisci un numero reale : ');

% Verifica se |x|<1
if isnumeric(x) & (abs(x) < 1)
    % Legge il valore dell'accuratezza
    acc = input('Inserisci l''accuratezza : ');
    if isnumeric(acc) & (acc > 0)
        % Inizializzo le variabili
        somma = 1; % parte della sommatoria
        xpow = 1; % potenze di x
        n = 1; % valore da determinare
        while (abs(somma-(1./(1-x))) > acc)
            n = n + 1; % incremento n
            xpow = xpow .* x; % calcolo la nuova potenza di x
            somma = somma + xpow; % calcolo la nuova somma    
        end
        disp(sprintf('Il valore di n* : %d', n));
    else
        disp('ERRORE NEI DATI DI INPUT! l''acuratezza deve essere un numero positivo maggiore di zero');
    end
else
    disp('ERRORE NEI DATI DI INPUT! x deve essere in valore assoluto minore di 1');
end

% === EOF =================================================================