function status = controllaMinori(A)
    % =====================================================================
    % File name   : controllaMinori.m
    % File Type   : m-file (script file for matlab or octave)
    % Begin       : 2005-01-18
    % Last Update : 2005-01-18
    % Author      : Nicola Asuni [38433]
    % Description : Esercitazione di Analisi Numerica
    %               A.A. 2004-2005
    %               Prof. M. Gaviano
    %               UNIVERSIT DEGLI STUDI DI CAGLIARI
    %               Facolt di Scienze Matematiche Fisiche Naturali
    %               Dipartimento di Matematica ed Informatica
    %               Corso di Laurea in Informatica
    % =====================================================================
   
    % restiruisce 1 se tutti i minori principali sono diversi da zero,
    % altrimenti restituisce 0.
    
    status = 1;
    [n, m] = size(A); % numero di righe e colonne
    for k = 1:n
        if (A(k,k) == 0)
            status = 0;
            break;
        end
    end

% === EOF =================================================================

