function [y] = fun4(x)
% =====================================================================
% File name   : ES_01_05_fun4.m
% File Type   : m-file (script file for matlab or octave)
% Begin       : 2005-01-17
% Last Update : 2005-01-17
% Author      : Nicola Asuni [38433]
% Description : Esercitazione di Analisi Numerica
%               A.A. 2004-2005
%               Prof. M. Gaviano
%               UNIVERSIT DEGLI STUDI DI CAGLIARI
%               Facolt di Scienze Matematiche Fisiche Naturali
%               Dipartimento di Matematica ed Informatica
%               Corso di Laurea in Informatica
% =====================================================================

y = 1 ./ (x.^2 + 1);

% -------------------------------------------------------------------------
% NOTE DI TEORIA
% -------------------------------------------------------------------------
% Questa funzione  detta "FUNZIONE DI RUNGE"
%
% E la funzione f(x)=1/1+x^2 con x appartenente all'intervallo [-a,a] con 
% a>0 f(x) appartenente alle funzioni continue C([-a,a]).
% Al crescere di n il polinomio di interpolazione oscilla vicino agli 
% estremi discostandosi molto dalla funzione.
% Per n che tende all'infinito non si ha convergenza.
% La scelta delle ascisse di Chebichev risolve questo problema.
% Le ascisse di Cebyshev sono definite nell'intervallo [-1,1], quindi per 
% riportare le ascisse ad un generico intervallo [a,b] si usa la formula: 
% X=((a+b)/2)+ ((b-a)/2)x

% === EOF =================================================================