function ys = spline1(xs,x,y)
    % =====================================================================
    % File name   : spline1.m
    % File Type   : m-file (script file for matlab or octave)
    % Begin       : 2005-01-18
    % Last Update : 2005-01-20
    % Author      : Nicola Asuni [38433]
    % Description : Esercitazione di Analisi Numerica
    %               A.A. 2004-2005
    %               Prof. M. Gaviano
    %               UNIVERSIT DEGLI STUDI DI CAGLIARI
    %               Facolt di Scienze Matematiche Fisiche Naturali
    %               Dipartimento di Matematica ed Informatica
    %               Corso di Laurea in Informatica
    % =====================================================================
    
    % Spline interpolante lineare (di grado 1)
    
    xsup = length(x)-1;
    
    for k=1:length(xs)        
        for i=1:xsup
            if xs(k)==x(i)
                ys(k) = y(i); % conosco il valore esatto
            else
                while (xs(k)>x(i)) & (i <= xsup) % mi porto nell'intervallo [x(i-1),x(i)]
                    i=i+1;
                    ys(k)=y(i-1)+(xs(k)-x(i-1))/(x(i)-x(i-1))*(y(i)-y(i-1));  % equazione di una retta.
                end   
            end
        end
    end
    
% === EOF =================================================================

