clc; % clear command window
clear; % frees system memory
echo on; % turns on the echoing of commands in all script files
% =========================================================================
% File name   : ES_01_03.m
% File Type   : m-file (script file for matlab or octave)
% Begin       : 2005-01-16
% Last Update : 2005-01-16
% Author      : Nicola Asuni [38433]
% Description : Esercitazione di Analisi Numerica
%               A.A. 2004-2005
%               Prof. M. Gaviano
%               UNIVERSIT DEGLI STUDI DI CAGLIARI
%               Facolt di Scienze Matematiche Fisiche Naturali
%               Dipartimento di Matematica ed Informatica
%               Corso di Laurea in Informatica
% =========================================================================
echo off;

disp('a) verifico alcune funzioni per matrici');

Rand6 = rand(6)
Eye4 = eye(4)
Zeros6 = zeros(6)
Ones3 = ones(3)

i = -10; % limite inferiore
j = 10; % limite superiore
A = i + ((j-i) * rand(5))

InvA = inv(A)

disp('b) calcolo la soluzione del sistema Ax=b in 4 equazioni e 4 incognite');
disp('   A  una matrice casuale 4x4');

A = rand(4)

disp('   b  un vettore casuale 4x1');

b = rand(4,1)

disp('   il vettore delle soluzioni ');
% x=A\b oppure x=inv(A)*b
x = A\b

disp('   verifico l''esastezza della soluzione calcolando b=Ax');

b = A*x

disp('c) genero vettori di riga con elementi equidistanti');

n = 20;
a = -pi;
b = pi;
p = (b-a)/(n-1);
x1 = [a:p:b]

n = 12;
a = -4;
b = 4;
p = (b-a)/(n-1);
x2 = [a:p:b]


% === EOF =================================================================