clc; % clear command window
clear; % frees system memory
echo on; % turns on the echoing of commands in all script files
% =========================================================================
% File name   : ES_02_03.m
% File Type   : m-file (script file for matlab or octave)
% Begin       : 2005-01-17
% Last Update : 2005-01-17
% Author      : Nicola Asuni [38433]
% Description : Esercitazione di Analisi Numerica
%               A.A. 2004-2005
%               Prof. M. Gaviano
%               UNIVERSIT DEGLI STUDI DI CAGLIARI
%               Facolt di Scienze Matematiche Fisiche Naturali
%               Dipartimento di Matematica ed Informatica
%               Corso di Laurea in Informatica
% =========================================================================
echo off;

ES_02_00; % include ES_01_00.m file
ES_02_03_01; % include ES_02_02_01.m file

% costruisco una matrice di coefficienti per il test
A = [2 6 1;
    3 3 0;
    1 3 1;
    0 12 -3;
    3 6 3;
    2 -4 3];

% ricavo il numero di righe di A
[rows, cols] = size(A);

% eseguo il tet per ogni riga di A
for i = 1:rows
    msg = sprintf('--- test n. %d ---',i);
    disp(msg);
    a = A(i,1)
    b = A(i,2)
    c = A(i,3)
    ES_02_03_01; % include ES_02_03_01.m file
end

% === EOF =================================================================