clc; % clear command window
clear; % frees system memory
echo on; % turns on the echoing of commands in all script files
% =========================================================================
% File name   : ES_04_02.m
% File Type   : m-file (script file for matlab or octave)
% Begin       : 2005-01-17
% Last Update : 2005-01-17
% Author      : Nicola Asuni [38433]
% Description : Esercitazione di Analisi Numerica
%               A.A. 2004-2005
%               Prof. M. Gaviano
%               UNIVERSIT DEGLI STUDI DI CAGLIARI
%               Facolt di Scienze Matematiche Fisiche Naturali
%               Dipartimento di Matematica ed Informatica
%               Corso di Laurea in Informatica
% =========================================================================
echo off;

disp('b) faccio il grafico di due funzioni');

% Imposto i valori della x nell'intervallo
x = 0.994:0.00001:1.006;

% Imposto le due funzioni
y1 = x.^6 - 6.*x.^5 + 15.*x.^4 - 20.*x.^3 + 15.*x.^2 - 6.*x + 1;
y2 = (x-1).^6;

% creo il grafico delle funzioni nella stessa vista
plot(x,y1,'g',x,y2,'k');
legend('y1=x^6-6x^5+15x^4-20x^3+15x^2-6x+1', 'y2=(x-1)^6', 'Location', 'N');

echo on;
% Il grafico di y1 ha un andamento non regolare rispetto al grafico di y2
% in quanto y1  un polinomio interpolante di y2.
% Il polinomio interpolante y1 ha gli stessi valori di y2 nei punti 7 punti
% di tabulazione che sono stati scelti per generare y1, negli altri punti
% il grafico di y1 tende ad oscillare intorno ad y2.
echo off;

% === EOF =================================================================