clc; % clear command window
clear; % frees system memory
echo on; % turns on the echoing of commands in all script files
% =========================================================================
% File name   : ES_05.m
% File Type   : m-file (script file for matlab or octave)
% Begin       : 2005-01-18
% Last Update : 2005-01-18
% Author      : Nicola Asuni [38433]
% Description : Esercitazione di Analisi Numerica
%               A.A. 2004-2005
%               Prof. M. Gaviano
%               UNIVERSIT DEGLI STUDI DI CAGLIARI
%               Facolt di Scienze Matematiche Fisiche Naturali
%               Dipartimento di Matematica ed Informatica
%               Corso di Laurea in Informatica
% =========================================================================
echo off;

disp('Risoluzione di sistemi triangolari inferiori del tipo Ly=b');

n = input('Inserisci la dimensione del sistema: ');

if isnumeric(n) & (n > 0)
    disp('genero la matrice triangolare inferiore casuale');
    L = tril(rand(n)) 

    disp('genero la soluzione esatta del problema');
    yy = rand(n,1)

    disp('calcolo il vettore dei termini noti');
    b = L * yy
    
    disp('calcolo la soluzione approssimata');
    y = triangInf([L,b])
    
    % Stampa l'errore di approssimazione con la norma euclidea
    disp(sprintf('L''errore commesso  (norma euclidea): %d', norm(yy-y)));
else
   disp('ERRORE NEI DATI DI INPUT!'); 
end

% === EOF =================================================================